ElectricSheep(1)

NAME
electricsheep - a distributed screen-saver (version 2.7b11) electricsheep-preferences - GUI to edit defaults for electricsheep

SYNOPSIS
electricsheep [--preferences file] [--nick name] [--password string] [--url url] [--nrepeats N] [--max-repeats N] [--frame-rate N] [--nthreads N] [--server host/path] [--display-anim 0/1] [--show-errors 0/1] [--standalone 0/1] [--save-dir path] [--reset-fuse N] [--nice N] [--proxy URL] [--proxy-user user:password] [--timeout N] [--start-sheep N] [--debug 0/1] [-window-id id] [--bracket-begin date/id] [--bracket-end date/id] [--data-dir dir] [--logfile file] [--video-driver name] electricsheep-preferences [--preferences ]

DESCRIPTION
Electric Sheep is a distributed screen-saver that harnesses idle computers into a render farm with the purpose of animating and evolving artificial life-forms. It requires a high-bandwidth, always-on connection to the internet such as DSL or cable-modem. The first time it runs, it normally takes about 10 minutes before a sheep (as the animations are called) is downloaded and displayed. After that, it should come up immediately. You can use BitTorrent to download more sheep faster, see the web site below for how. If you have installed a screen-saver that supports passing key-presses onto the graphics hack and this feature is enabled, then pressing the up (or down) arrow-key transmits a vote for (or against) the currently displayed sheep to the server. Vote for the sheep you like, and they will mate, reproduce, and evolve! (this feature is missing from the beta) The shepherds (those who wrote the software and run the server) use some of the sheep for commercial purposes in order to support the network and develop it further. For example there's the Spotworks DVD, and "Dreams in High Fidelity", a painting that evolves. Some jobs rendered by the network may be for images or animations which are not sheep at all, and will not appear in the screen-saver. Users may not subvert the protocol of the sheep server. If you want to change how the client communicates with the server, contact the server's administrators first.

OPTIONS

--preferences file
    Give the location for the preferences. The default is ~/.electricsheep/preferences.xml.

--bracket-begin date/id
    Play no sheep before this one or this time.

--bracket-end date/id
    Play no sheep after this one or this time.

--data-dir dir
    Set the directory to find splash images and other data files.

--debug 0/1
    If 1 then print copious debug information. The default is 0.

--display-anim 0/1
    If 1 then display the animated sheep, if 0 then do not. Not displaying the sheep allows one to contribute rendering more rendering cycles because no CPU time is spent on display. It also allows one to run on a computer without an X display at all. The default is 1.

--frame-rate N
    Specify the frame-rate for sheep display in frames per second. The default is 23. If your client is having trouble completing frames because it is spending all its CPU time in the display process then decreasing this might help. Or increase it if you have extra CPU for smoother display.

--logfile file
    Write errors and diagnostics to this file instead of stderr and stdout.

--max-megabytes N
    Specify the maximum number of megabytes of disk storage to use to store sheep (in the directory specified with --save-dir). The default is 2000. Zero (0) means there is no maximum.

--max-repeats N
    Maximum number of times to repeat any sheep. The default is 3.

--min-megabytes N
    Specify the minimum number of megabytes of disk storage to leave free. The default is 2000. Zero (0) means there is no minimum.

--nice N
    Specify the priority adjustment for render process and all non-display processes. The default is 10.

--nick name
    Specify a nickname. The server keeps credits the frames according to nickname and ranks nicknames according to who contributes the most.

--password string
    Authenticate to the server using this password. Note: the password is not encrypted!

--nrepeats N
    Number of times to repeat each sheep. The default is 1. Transitions between sheep are not repeated.

--nthreads N
    Specify the number of rendering threads. By default there is one (1).

--proxy URL
    Specify a proxy as per curl(1).

--proxy-user user:password
    Specify a proxy user and password as per curl(1).

--save-dir path
    Specifies a directory to save the sheep in. The default is ~/.electricsheep.

--show-errors 0/1
    If 0 then do not report problems connecting to server. The default is 1.

--standalone 0/1
    If 1 then run without connecting to the internet at all, just displays the sheep already downloaded and do no rendering. The default is 0.

--start-sheep N
    Specify the ID of the sheep to display first. The default is to display a random sheep.

--timeout N
    Specify the timeout in seconds for server operations. The default is 401.

--tryagain N
    Specify the time in seconds to wait before retrying to contact the server. The default is 696.

--url name
    Specify a vanity URL to go with with the nickname.

--video-driver name
    Passed on to mplayer -vo, try "gl" and "x11" and "xv" or leave it blank for the default.

--voting 0/1
    If 1 then enable the voting interface, which is broken in this beta.

-window-id X
    Specify in hex the window ID to draw into. Note the single leading dash (this option's syntax is required by xscreensaver). The default is to display in a new window. If both --root and -window-id are specified then -window-id takes precedence.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

SEE ALSO
http://electricsheep.org, gnome-screensaver(1), xscreensaver(1),

AUTHOR
spot aka Scott Draves